Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Hash_Map_Reverse_Iterator Class Template Reference

Wrapper for backward compatibility. More...

`#include <Hash_Map_Manager_T.h>`

Inheritance diagram for ACE_Hash_Map_Reverse_Iterator

[legend]
Collaboration diagram for ACE_Hash_Map_Reverse_Iterator:

[legend]
List of all members.

## Public Methods
| ACE_Hash_Map_Reverse_Iterator (ACE_Hash_Map_Manager<EXT_ID, INT_ID, ACE_LOCK> &mm, int head = 0)
| ACE_Hash_Map_Reverse_Iterator (const ACE_Hash_Map_Reverse_Iterator_Ex<EXT_ID, INT_ID, ACE_Hash<EXT_ID>, ACE_Equal_To<EXT_ID>, ACE_LOCK> &base)
| Construct from base.
ACE_Hash_Map_Reverse_Iterator< EXT_ID, INT_ID, ACE_LOCK>& | operator= (const ACE_Hash_Map_Reverse_Iterator_Ex<EXT_ID, INT_ID, ACE_Hash<EXT_ID>, ACE_Equal_To<EXT_ID>, ACE_LOCK> &base)
| Assignment from base.

## Detailed Description

### template<class EXT_ID, class INT_ID, class ACE_LOCK> template class ACE_Hash_Map_Reverse_Iterator

Wrapper for backward compatibility.

## Constructor & Destructor Documentation

template<classEXT_ID, classINT_ID, classACE_LOCK>
ACE_Hash_Map_Reverse_Iterator< EXT_ID,INT_ID,ACE_LOCK >::ACE_Hash_Map_Reverse_Iterator<EXT_ID, INT_ID, ACE_LOCK> ( | ACE_Hash_Map_Manager< EXT_ID,INT_ID,ACE_LOCK >& mm,
| int head = 0 )

template<classEXT_ID, classINT_ID, classACE_LOCK>
ACE_Hash_Map_Reverse_Iterator< EXT_ID,INT_ID,ACE_LOCK >::ACE_Hash_Map_Reverse_Iterator<EXT_ID, INT_ID, ACE_LOCK> ( | const ACE_Hash_Map_Reverse_Iterator_Ex< EXT_ID,INT_ID,ACE_Hash< EXT_ID >,ACE_Equal_To< EXT_ID >,ACE_LOCK >& base )

| Construct from base.

## Member Function Documentation

template<classEXT_ID, classINT_ID, classACE_LOCK>
ACE_Hash_Map_Reverse_Iterator< EXT_ID,INT_ID,ACE_LOCK >& ACE_Hash_Map_Reverse_Iterator< EXT_ID,INT_ID,ACE_LOCK >::operator= ( | const ACE_Hash_Map_Reverse_Iterator_Ex< EXT_ID,INT_ID,ACE_Hash< EXT_ID >,ACE_Equal_To< EXT_ID >,ACE_LOCK >& rhs )

| Assignment from base.

The documentation for this class was generated from the following files:

- Hash_Map_Manager_T.h
- Hash_Map_Manager_T.i